osl::eval::ml::KingMobilitySum Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 2925 , DIM = ONE_DIM * EvalStages }

## Public Member Functions

template<osl::Player P>
osl::MultiInt | evalOne (const NumEffectState &state)

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions

template<Player P>
static MultiInt | evalOne (const NumEffectState &state)

## Static Private Attributes

static CArray< MultiInt, 45 *33 > | table

## Detailed Description

Definition at line 761 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 764 of file kingTable.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::KingMobilitySum::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1585 of file kingTable.cc.

References evalOne().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## evalOne() [1/2]

template<osl::Player P>

osl::MultiInt osl::eval::ml::KingMobilitySum::evalOne | ( | const NumEffectState & | state | ) |

Definition at line 1562 of file kingTable.cc.

References osl::BLACK, osl::D, osl::DL, osl::DR, osl::NumEffectState::kingMobilityAbs(), osl::SimpleState::kingSquare(), osl::L, osl::R, table, osl::U, osl::UL, osl::UR, osl::Square::x(), and osl::Square::y().

## evalOne() [2/2]

template<Player P>

MultiInt osl::eval::ml::KingMobilitySum::evalOne | ( | const NumEffectState & | state | ) |

static private

Referenced by eval().

## setUp()

void osl::eval::ml::KingMobilitySum::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1543 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 45 *33 > osl::eval::ml::KingMobilitySum::table

static private

Definition at line 770 of file kingTable.h.

Referenced by evalOne(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc